Probleme mit .net Framework (?!)


Forum: Software (Windows 7)

Softwareinstallation, Installationsprobleme und Lösungen, Anwendungsprogramme jeder Art unter Windows 7

  1. niksche

    niksche Neuling

    Hey,

    ein kumpel von mir hat ein progi mit visual basic geschrieben,... (brauche das auf jedenfall, lässt sich aber nicht starten)

    Immer wenn ich es Starte kommt immer eine Sicherheitswarnung, ob ich eine Anwendung installieren will(siehe 1. Foto). Sobald ich dort auf installieren klicke kommt die Fehlermeldung (siehe 2. Foto).

    http://www.abload.de/img/unbenanntg5uq8.png

    http://www.abload.de/img/unbenannt2f7uij.png


    Mein Kumpel meint es fehlen irgendwelche Bibliotheken, bzw. er kann auf irgendwelche Bibliotheken nicht zugreifen.

    Ic habe alles Probiert, jedem Benutzer volle zugriffsrechte geben, als admin starten, ohne admin starten, .net Framework 4 neu nstalliert,Firewall ausgeschaltet, Windows mit der Option "Erzwingen der Treibersignatur deaktieren" starten....

    Nichts hat funktioniert. Ich hoffe ihr habt Ideen und könnt mir weiterhelfen.

    PS: Habe win 7 Home Premium, 64 Bit

    Gruß
     
  2. Werbung
  3. White Noise

    White Noise Aktives Mitglied

    AW: Probleme mit .net Framework (?!)

    Das Proggie ist scheinbar in Visual Basic erstellt worden, das hat mit .NET Framework nicht viel zu tun. Ob das die richtige Version ist kann dir nur dein Kumpel sagen:
    Microsoft Visual Basic Power Packs 10.0

    .NET Framework ist dabei Bedingung. Zwischen den Versionen ist ein wesentlicher Unterschied, aber das ist ein anderes Thema ;-)
     
  4. niksche

    niksche Neuling

    AW: Probleme mit .net Framework (?!)

    Habs installiert, bringt nichts. Wie auf dem 1. Screenshot zu sehen, fehlt ihm microsoft.visualbasic. blabla vs. 9.0.0.0. Also denke ich mal braucht er version 9, hab bei google aber nichts gefunden.

    Gruß
     
  5. niksche

    niksche Neuling

    AW: Probleme mit .net Framework (?!)

    Ok, habe nach langem rumprobieren das Problem gelöst. Für alle die das Problem auch haben, einfach Visual Basic Express 2008 installieren: *Klick*

    Gruß
     
  6. thl1966

    thl1966 Aktives Mitglied

    AW: Probleme mit .net Framework (?!)

    Das hätte ich dir auch sagen können. Es kann aber nicht sein, dass durch das fehlen einer Runtime-Komponente der Benutzer eines Visual-Basics Programms die komplette Entwicklerumgebung installieren muss. Dein Freund, der das Programm entwickelt hat, hätte es eigentlich wissen müssen. Habe auch schon mehrere Visual Basic Programme mit Visual Studio oder Visual Basic Express 2008/2010 entwickelt und direkt auf anderen PCs sofort zum laufen gebracht. Das .NET-Framework in der jeweiligen Version muss schon vorliegen. Falls eine Komponente eine ältere Version des .NET-Frameworks anspricht, heißt das nicht zwangläufig, dass es mit der neusten Version funktionieren muss, weil .u.U. eine Programmbibliotheken anders aufgebaut sind. Es gibt durchaus System, wo man versch. Frameworks installieren muss, damit ältere und neuere Programme laufen. Während der Installation des Entwicklerpaketes werden die Runtimes mitinstalliert. Einfach mal darauf achten. Diese kann man durchaus sep. installieren. Windows 7 hat das .NET-Framework bis 3.5 bereits integriert, so viel ich noch weiß.

    Gruß
    Thomas
     
  • Werbung
  • Die Seite wird geladen...
    Hier genannte Produkt- und Firmennamen sowie deren Logos koennen eingetragene Warenzeichen der jeweiligen Unternehmen sein.